Name: ccache
Version: 3.2.7
Release: 2
License: GPL-3.0-or-later
Summary: compiler cache which speeds up recompilation
Url: https://ccache.samba.org/

BuildRequires: zlib-devel

Source0: https://www.samba.org/ftp/ccache/ccache-%{version}.tar.gz


%description
ccache is a compiler cache. It speeds up recompilation by caching previous
compilations and detecting when the same compilation is being done again.
Supported languages are C, C++, Objective-C and Objective-C++.

%prep
%setup -q


%build
#autogen.sh
%configure LDFLAGS=-Wl,-blibpath:/QOpenSys/pkgs/lib:/QOpenSys/usr/lib,-brtl

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/%{name}
cd %{buildroot}%{_libdir}/%{name}
ln -s %{_bindir}/ccache gcc
ln -s %{_bindir}/ccache g++
ln -s %{_bindir}/ccache cc
ln -s %{_bindir}/ccache c++
ln -s %{_bindir}/ccache gcc-6
ln -s %{_bindir}/ccache g++-6
ln -s %{_bindir}/ccache gcc-10
ln -s %{_bindir}/ccache g++-10

%files
%defattr(-, qsys, *none)
%{_bindir}/*
%{_libdir}/%{name}

%{_mandir}/man1/ccache.1*

%changelog
* Fri Apr 30 2021 Jesse Gorzinski <jgorzins@us.ibm.com> - 3.2.7
- Better handling of multiple GCC versions
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.2.7
- Use generic paths for man and info pages to allow for compression
